unit HistEditMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ecPopupCtrl, ecSyntMemo, StdCtrls, Buttons;

type
  TForm8 = class(TForm)
    SyntaxMemo1: TSyntaxMemo;
    AutoCompletePopup1: TAutoCompletePopup;
    SpeedButton1: TSpeedButton;
    procedure AutoCompletePopup1CheckChar(Sender: TObject; C: Word;
      var IsWord: Boolean);
    procedure SyntaxMemo1Enter(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form8: TForm8;

implementation

{$R *.dfm}

procedure TForm8.AutoCompletePopup1CheckChar(Sender: TObject; C: Word;
  var IsWord: Boolean);
begin
  IsWord := True;
end;

procedure TForm8.SyntaxMemo1Enter(Sender: TObject);
begin
  AutoCompletePopup1.Execute;
end;

procedure TForm8.SpeedButton1Click(Sender: TObject);
begin
  if not SyntaxMemo1.Focused then
    SyntaxMemo1.SetFocus;
  AutoCompletePopup1.Execute;
end;

end.
